%define upstream_name	 HTML-TableExtract
%define upstream_version 2.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Parser)
BuildArch:  noarch

%description
HTML::TableExtract is a module that simplifies the extraction
of information contained in tables within HTML documents.

Tables of note may be specified using Headers, Depth, Count,
or some combination of the three. See the module documentation
for details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files 
%doc Changes META.yml README
%{perl_vendorlib}/HTML
%{_mandir}/*/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 2.150.0-5.mga9
+ Revision: 1809404
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.150.0-4.mga8
+ Revision: 1504662
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.150.0-3.mga7
+ Revision: 1283976
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 2.150.0-2.mga7
+ Revision: 1164826
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 2.150.0-1.mga7
+ Revision: 1158239
- update to 2.15

* Sun Jun 19 2016 pterjan <pterjan> 2.130.0-3.mga6
+ Revision: 1028332
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.130.0-2.mga6
+ Revision: 967887
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 2.130.0-1.mga6
+ Revision: 850472
- update to 2.13

* Sun Oct 19 2014 umeabot <umeabot> 2.110.0-7.mga5
+ Revision: 788778
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.110.0-6.mga5
+ Revision: 750765
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.110.0-5.mga5
+ Revision: 727605
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.110.0-4.mga5
+ Revision: 684968
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.110.0-3.mga4
+ Revision: 512018
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.110.0-2.mga3
+ Revision: 368144
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 30 2011 jquelin <jquelin> 2.110.0-1.mga2
+ Revision: 136544
- update to 2.11

* Wed Jan 19 2011 jquelin <jquelin> 2.100.0-1.mga1
+ Revision: 23871
- cleaning spec file
- imported package perl-HTML-TableExtract


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 2.100.0-1mdv2010.0
+ Revision: 407769
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.10-4mdv2009.0
+ Revision: 257203
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 2.10-2mdv2008.1
+ Revision: 135847
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild


* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 14:51:24 (59605)
- 2.10

* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 14:46:38 (59604)
Import perl-HTML-TableExtract

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.09-1mdv2007.0
- New version 2.09

* Wed Jun 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.08-1mdv2007.0
- New release 2.08
- better source URL

* Fri Mar 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.07-1mdk
- 2.07

* Mon Nov 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.06-1mdk
- 2.06

* Mon Oct 10 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.05-2mdk
- Fix BuildRequires

* Fri Oct 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.05-1mdk 
- new version
- spec cleanup
- rpmbuildupdate aware
- enable tests

* Wed Sep 07 2005 Olivier Thauvin <nanardon@mandriva.org> 2.04-1mdk
- 2.04

* Tue Mar 29 2005 Olivier Thauvin <nanardon@mandrake.org> 1.10-1mdk
- 1.10

* Wed Feb 11 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.08-2mdk
- own %%{perl_vendorlib}/HTML

